﻿// <auto-generated />
using System;
using Microsoft.EntityFrameworkCore;
using Microsoft.EntityFrameworkCore.Infrastructure;
using Microsoft.EntityFrameworkCore.Storage.ValueConversion;
using recipes.Models;

#nullable disable

namespace recipes.Migrations
{
    [DbContext(typeof(RecipeDBContext))]
    partial class RecipeDBContextModelSnapshot : ModelSnapshot
    {
        protected override void BuildModel(ModelBuilder modelBuilder)
        {
#pragma warning disable 612, 618
            modelBuilder.HasAnnotation("ProductVersion", "6.0.3");

            modelBuilder.Entity("recipes.Models.FoodItem", b =>
                {
                    b.Property<int>("id")
                        .ValueGeneratedOnAdd()
                        .HasColumnType("INTEGER");

                    b.Property<string>("name")
                        .HasColumnType("TEXT");

                    b.HasKey("id");

                    b.ToTable("FoodItem");
                });

            modelBuilder.Entity("recipes.Models.Ingredient", b =>
                {
                    b.Property<int>("id")
                        .ValueGeneratedOnAdd()
                        .HasColumnType("INTEGER");

                    b.Property<int?>("Recipeid")
                        .HasColumnType("INTEGER");

                    b.Property<string>("amount")
                        .HasColumnType("TEXT");

                    b.Property<int>("foodItemid")
                        .HasColumnType("INTEGER");

                    b.Property<string>("name")
                        .HasColumnType("TEXT");

                    b.HasKey("id");

                    b.HasIndex("Recipeid");

                    b.HasIndex("foodItemid");

                    b.ToTable("Ingredient");
                });

            modelBuilder.Entity("recipes.Models.Recipe", b =>
                {
                    b.Property<int>("id")
                        .ValueGeneratedOnAdd()
                        .HasColumnType("INTEGER");

                    b.Property<string>("description")
                        .HasColumnType("TEXT");

                    b.Property<int?>("servingSize")
                        .HasColumnType("INTEGER");

                    b.Property<int?>("time")
                        .HasColumnType("INTEGER");

                    b.Property<string>("title")
                        .HasColumnType("TEXT");

                    b.HasKey("id");

                    b.ToTable("Recipe");
                });

            modelBuilder.Entity("recipes.Models.Step", b =>
                {
                    b.Property<int>("id")
                        .ValueGeneratedOnAdd()
                        .HasColumnType("INTEGER");

                    b.Property<int?>("Recipeid")
                        .HasColumnType("INTEGER");

                    b.Property<string>("description")
                        .HasColumnType("TEXT");

                    b.Property<int?>("number")
                        .HasColumnType("INTEGER");

                    b.HasKey("id");

                    b.HasIndex("Recipeid");

                    b.ToTable("Step");
                });

            modelBuilder.Entity("recipes.Models.Ingredient", b =>
                {
                    b.HasOne("recipes.Models.Recipe", null)
                        .WithMany("ingredients")
                        .HasForeignKey("Recipeid");

                    b.HasOne("recipes.Models.FoodItem", "foodItem")
                        .WithMany()
                        .HasForeignKey("foodItemid")
                        .OnDelete(DeleteBehavior.Cascade)
                        .IsRequired();

                    b.Navigation("foodItem");
                });

            modelBuilder.Entity("recipes.Models.Step", b =>
                {
                    b.HasOne("recipes.Models.Recipe", null)
                        .WithMany("method")
                        .HasForeignKey("Recipeid");
                });

            modelBuilder.Entity("recipes.Models.Recipe", b =>
                {
                    b.Navigation("ingredients");

                    b.Navigation("method");
                });
#pragma warning restore 612, 618
        }
    }
}
